function [out] = FitFnc(x)
global Gp_ic deg_d deg_p deg_q PN c_dec;
global aaminomega;
global aamaxomega;
global aanpmu;
global deg_a deg_b;

echo off;
warning off;

%[Q1,P_F1]=getrx(x(1:deg_d));
%[Q2,P_F2]=getrx(x(deg_d+1:deg_d*2));

[Q,P_F]=getrx1(x);
gfb=nd2sys(Q,P_F,-1);
clp = starp(Gp_ic,gfb,1,1);
max_pole=max(real(spoles(clp)));
%max_pole=max(real(x));
out=0;

%if max_pole>1e-3 && deg_a ~= deg_b
%   out=max_pole*1000+1e6;
%   max(real(spoles(clp)))
%   pom_poles=spoles(clp);
%   pom_poles(6)
%else
   omega1 = logspace(aaminomega,aamaxomega,aanpmu);
%   omega2 = logspace(0,2,20);
   clpg = frsp(clp,omega1);
%   blk=[2 2;2 2;2 2];
%   blk=[2 2;4 2];
%    blk = [1 1;		% Td perturbation
%           1 1];	% performance block
    blk = [1 1; -1 1; -1 1; -1 1; -1 1; -1 1; -1 1; -1 1; -1 1; 1 1];
   
   [bnds_loop]=mu(clpg,blk,'fUcs');
   out1=pkvnorm(sel(bnds_loop,1,1));
%   clpg = frsp(clp,omega2);
%   [bnds_loop]=mu(clpg,blk,'fUsw');
%   out1=max(out1,pkvnorm(sel(bnds_loop,1,1)));
   out=out+out1;
%   evals=veig(clpg);
%   out=pkvnorm(evals);
%   out=pkvnorm(clpg);
%end
%pom_poles=spoles(clp);
%size_poles=size(pom_poles)
%for(i=1:1:size_poles(1,1))
%    pom_poles(i)
%end
clear rf dec_rf clp clpg omega1 blk Q1 P_F1 Q2 P_F2 max_pole;