%global w1b0 w1b1 w1b2 w1a0 w1a1 w1a2 w1k w1a3;
global w2b0 w2b1 w2a0 w2a1 w2k;
global sysn2dofdk;
global b_kdk1 a_kdk1 b_kdk2 a_kdk2 b_kdk1fw;
global m0dk m1dk m2dk m3dk r0dk r1dk r2dk r3dk;
global acan bcan;
global dbcan dacan;

w2=nd2sys([w2b1 w2b0],[w2a1 w2a0],w2k); % multiplicative uncertainty weight

%w1=nd2sys([w1b1 w1b0],[w1a3 w1a2 w1a1 w1a0],w1k); % performance weight

Rdk=nd2sys([m3dk m2dk m1dk m0dk],[r3dk r2dk r1dk r0dk],1); % reference transfer function

gfc = nd2sys(b_kdk2,a_kdk2,1);
gfb = nd2sys(b_kdk1,a_kdk1,-1);
gff = nd2sys(b_kdk1fw,a_kdk1,1);

% Gs=nd2sys([b3 b2 b1 b0],[a3 a2 a1 a0]);

x0 = [1 0];

x = [1];
doconv = 0;
if acan(2) ~= 0
    doconv = 1;
    x = x0;
end
Gsa3=nd2sys([-acan(2)],x);
Gsda3=nd2sys([dacan(1)],x);
Gsb3=nd2sys([bcan(1)],x);
Gsdb3=nd2sys([dacan(1)],x);
if acan(3) ~= 0
    doconv = 1;
end
if doconv == 1
    x = conv(x,x0);
end
Gsa2=nd2sys([-acan(3)],x);
Gsda2=nd2sys([dacan(2)],x);
Gsb2=nd2sys([bcan(2)],x);
Gsdb2=nd2sys([dbcan(2)],x);
if acan(4) ~= 0
    doconv = 1;
end
if doconv == 1
    x = conv(x,x0);
end
Gsa1=nd2sys([-acan(4)],x);
Gsda1=nd2sys([dacan(3)],x);
Gsb1=nd2sys([bcan(3)],x);
Gsdb1=nd2sys([dbcan(2)],x);
if acan(5) ~= 0
    doconv = 1;
end
if doconv == 1
    x = conv(x,x0);
end
Gsa0=nd2sys([-acan(5)],x);
Gsda0=nd2sys([dacan(4)],x);
Gsb0=nd2sys([bcan(4)],x);
Gsdb0=nd2sys([dbcan(4)],x);

systemnames = ' gff gfb gfc Gsb3 Gsb2 Gsb1 Gsb0 Gsdb3 Gsdb2 Gsdb1 Gsdb0 Gsa3 Gsa2 Gsa1 Gsa0 Gsda3 Gsda2 Gsda1 Gsda0 w2 Rdk ';
inputvar='[ ref{2}; pertin1; pertinb3; pertinb2; pertinb1; pertinb0; pertina3; pertina2; pertina1; pertina0 ]';
outputvar='[ Rdk + ref(2); Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0; gfc; w2; gfc + pertin1; gfc + pertin1; gfc + pertin1; gfc + pertin1; Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0; Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0; Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0; Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0 ]';
input_to_Gsdb3 = '[ pertinb3 ]';
input_to_Gsdb2 = '[ pertinb2 ]';
input_to_Gsdb1 = '[ pertinb1 ]';
input_to_Gsdb0 = '[ pertinb0 ]';
input_to_Gsb3 = '[ gfc + pertin1 ]';
input_to_Gsb2 = '[ gfc + pertin1 ]';
input_to_Gsb1 = '[ gfc + pertin1 ]';
input_to_Gsb0 = '[ gfc + pertin1 ]';
input_to_Gsa3 = '[ Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0 ]';
input_to_Gsa2 = '[ Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0 ]';
input_to_Gsa1 = '[ Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0 ]';
input_to_Gsa0 = '[ Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0 ]';
input_to_Gsda3 = '[ pertina3 ]';
input_to_Gsda2 = '[ pertina2 ]';
input_to_Gsda1 = '[ pertina1 ]';
input_to_Gsda0 = '[ pertina0 ]';
input_to_w2 = '[ gfc ]';
input_to_gff = '[ Rdk + ref(2) ]';
input_to_gfb = '[ Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0 ]';
input_to_gfc = '[ gff + gfb ]';
input_to_Rdk = '[ ref(1) ]';
sysoutname = 'sysn2dofdk';
cleanupsysic = 'yes';
echo off;
sysic;