global w1b0 w1b1 w1b2 w1a0 w1a1 w1a2 w1k w1a3;
global w2b0 w2b1 w2a0 w2a1 w2k;
global asc bsc;
global Gp_ic;
global acan bcan;
global dbcan dacan;

warning off;

w2=nd2sys([w2b1 w2b0],[w2a1 w2a0],w2k); % multiplicative uncertainty weight

w1=nd2sys([w1b1 w1b0],[w1a3 w1a2 w1a1 w1a0],w1k); % performance weight


% Gs=nd2sys([b3 b2 b1 b0],[a3 a2 a1 a0]);

x0 = [1 0.01];

x = [1];
doconv = 0;
if acan(2) ~= 0
    doconv = 1;
    x = x0;
end
Gsa3=nd2sys([-acan(2)],x);
Gsda3=nd2sys([dacan(1)],x);
Gsb3=nd2sys([bcan(1)],x);
Gsdb3=nd2sys([dacan(1)],x);
if acan(3) ~= 0
    doconv = 1;
end
if doconv == 1
    x = conv(x,x0);
end
Gsa2=nd2sys([-acan(3)],x);
Gsda2=nd2sys([dacan(2)],x);
Gsb2=nd2sys([bcan(2)],x);
Gsdb2=nd2sys([dbcan(2)],x);
if acan(4) ~= 0
    doconv = 1;
end
if doconv == 1
    x = conv(x,x0);
end
Gsa1=nd2sys([-acan(4)],x);
Gsda1=nd2sys([dacan(3)],x);
Gsb1=nd2sys([bcan(3)],x);
Gsdb1=nd2sys([dbcan(2)],x);
if acan(5) ~= 0
    doconv = 1;
end
if doconv == 1
    x = conv(x,x0);
end
Gsa0=nd2sys([-acan(5)],x);
Gsda0=nd2sys([dacan(4)],x);
Gsb0=nd2sys([bcan(4)],x);
Gsdb0=nd2sys([dbcan(4)],x);

systemnames = ' Gsb3 Gsb2 Gsb1 Gsb0 Gsdb3 Gsdb2 Gsdb1 Gsdb0 Gsa3 Gsa2 Gsa1 Gsa0 Gsda3 Gsda2 Gsda1 Gsda0 w2 w1 ';
inputvar='[ pertin1; pertinb3; pertinb2; pertinb1; pertinb0; pertina3; pertina2; pertina1; pertina0; dist; control ]';
outputvar='[ w2; control + pertin1; control + pertin1; control + pertin1; control + pertin1; Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0; Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0; Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0; Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0; w1; Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0 + dist ]';
input_to_Gsdb3 = '[ pertinb3 ]';
input_to_Gsdb2 = '[ pertinb2 ]';
input_to_Gsdb1 = '[ pertinb1 ]';
input_to_Gsdb0 = '[ pertinb0 ]';
input_to_Gsb3 = '[ control + pertin1 ]';
input_to_Gsb2 = '[ control + pertin1 ]';
input_to_Gsb1 = '[ control + pertin1 ]';
input_to_Gsb0 = '[ control + pertin1 ]';
input_to_Gsa3 = '[ Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0 ]';
input_to_Gsa2 = '[ Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0 ]';
input_to_Gsa1 = '[ Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0 ]';
input_to_Gsa0 = '[ Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0 ]';
input_to_Gsda3 = '[ pertina3 ]';
input_to_Gsda2 = '[ pertina2 ]';
input_to_Gsda1 = '[ pertina1 ]';
input_to_Gsda0 = '[ pertina0 ]';
input_to_w2 = '[ control ]';
input_to_w1 = '[ Gsdb3 + Gsdb2 + Gsdb1 + Gsdb0 + Gsb3 + Gsb2 + Gsb1 + Gsb0 + Gsa3 + Gsa2 + Gsa1 + Gsa0 + Gsda3 + Gsda2 + Gsda1 + Gsda0 + dist ]';
sysoutname = 'Gp_ic';
cleanupsysic = 'yes';
echo off;
sysic;