function [ out, x1out, x2out ] = augmenttest( x1, x2 );
out = false;
nozeroleftx1 = nozeroleft(x1);
nozeroleftx2 = nozeroleft(x2);
x1roots = roots(x1);
x2roots = roots(x2);
if isempty(x1roots) || isempty(x2roots)
    x1out = x1;
    x2out = x2;
    return;
end
x1rootscount = max(size(x1roots));
x2rootscount = max(size(x2roots));
x1v = zeros(x1rootscount,1);
x2v = zeros(x2rootscount,1);
for i=1:max(size(x1roots))
    for j=1:max(size(x2roots))
        if abs(x1roots(i) - x2roots(j)) < abs(0.001 * x2roots(j)) && x1v(i) == 0 && x2v(j) == 0
            x1v(i) = 1;
            x2v(j) = 1;
            x1rootscount = x1rootscount - 1;
            x2rootscount = x2rootscount - 1;
            out = true;
        end
    end
end
if x1rootscount == 0
    x1rootsout = [1];
else
    x1rootsout = zeros(x1rootscount,1);
end
if x2rootscount == 0
    x2rootsout = [1];
else
    x2rootsout = zeros(x2rootscount,1);
end
counter = 1;
for i=1:max(size(x1roots))
    if x1v(i) == 0
        x1rootsout(counter) = x1roots(i);
        counter = counter + 1;
    end
end
counter = 1;
for i=1:max(size(x2roots))
    if x2v(i) == 0
        x2rootsout(counter) = x2roots(i);
        counter = counter + 1;
    end
end
if x1rootscount == 0
    x1outtmp = [nozeroleftx1/nozeroleftx2];
else
    x1outtmp = poly(x1rootsout)*nozeroleftx1/nozeroleftx2;
end
if x2rootscount == 0
    x2outtmp = [1];
else
    x2outtmp = poly(x2rootsout);
end
x1out = zeros(max(size(x1)),1);
x2out = zeros(max(size(x2)),1);
for i = 0:max(size(x1outtmp))-1
    x1out(max(size(x1))-i) = x1outtmp(max(size(x1outtmp))-i);
end
for i = 0:max(size(x2outtmp))-1
    x2out(max(size(x2))-i) = x2outtmp(max(size(x2outtmp))-i);
end
